Bug 1859515 - `dnf builddep mesa` fails: No matching package to install: 'pkgconfig(libdrm_etnaviv) >= 2.4.89'
Summary: `dnf builddep mesa` fails: No matching package to install: 'pkgconfig(libdrm_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lyude
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-22 10:14 UTC by Samuel Iglesias Gonsálvez
Modified: 2020-08-06 03:57 UTC (History)
12 users (show)

Fixed In Version: mesa-20.1.4-1.fc32 mesa-19.2.8-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-25 01:52:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Samuel Iglesias Gonsálvez 2020-07-22 10:14:47 UTC
Description of problem:

Following the steps in Mesa website (https://docs.mesa3d.org/install.html#requirements), dnf fails when trying to install build dependencies for Mesa on an x86_64 machine.

Version-Release number of selected component (if applicable): 20.1.3-1.fc32

How reproducible:

Steps to Reproduce:
1. $ sudo dnf builddep mesa

Actual results:

[...]
No matching package to install: 'pkgconfig(libdrm_etnaviv) >= 2.4.89'
[...]
Not all dependencies satisfied
Error: Some packages could not be found.

Expected results:

Install all build dependencies for Mesa.

Additional info:

Comment 1 Fedora Update System 2020-07-22 19:04:46 UTC
FEDORA-2020-d6d75871ac has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d6d75871ac

Comment 2 Fedora Update System 2020-07-22 19:04:48 UTC
FEDORA-2020-d0cc3ec45b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d0cc3ec45b

Comment 3 Fedora Update System 2020-07-23 01:43:44 UTC
FEDORA-2020-d0cc3ec45b has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d0cc3ec45b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d0cc3ec45b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-07-23 01:50:33 UTC
FEDORA-2020-d6d75871ac has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d6d75871ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d6d75871ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-07-24 01:25:11 UTC
FEDORA-2020-b0d5fc64b5 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b0d5fc64b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0d5fc64b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-25 01:52:17 UTC
FEDORA-2020-b0d5fc64b5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-08-06 03:57:00 UTC
FEDORA-2020-d6d75871ac has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.